> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Health Settings

> Replace the health score settings; every company is then recomputed in the background.



## OpenAPI

````yaml /openapi-v1.json put /api/v1/crm/settings/health
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/crm/settings/health:
    put:
      tags:
        - CRM
      summary: Update Health Settings
      description: >-
        Replace the health score settings; every company is then recomputed in
        the background.
      operationId: update_crm_health_settings
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HealthSettingsIn'
        required: true
      responses:
        '200':
          description: OK
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    HealthSettingsIn:
      properties:
        weights:
          anyOf:
            - additionalProperties:
                type: integer
              type: object
            - type: 'null'
          title: Weights
        thresholds:
          anyOf:
            - additionalProperties:
                type: integer
              type: object
            - type: 'null'
          title: Thresholds
        signal_components:
          anyOf:
            - items:
                $ref: '#/components/schemas/SignalComponentIn'
              type: array
            - type: 'null'
          title: Signal Components
      title: HealthSettingsIn
      type: object
    SignalComponentIn:
      properties:
        key:
          title: Key
          type: string
        label:
          anyOf:
            - type: string
            - type: 'null'
          title: Label
        weight:
          title: Weight
          type: integer
        good:
          title: Good
          type: number
        bad:
          title: Bad
          type: number
      required:
        - key
        - weight
        - good
        - bad
      title: SignalComponentIn
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.